Get email settings
GET
/api/v1/instance/email
const url = 'https://example.com/api/v1/instance/email';const options = {method: 'GET', headers: {cookie: 'ttx_access_token=<ttx_access_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/instance/email \ --cookie ttx_access_token=<ttx_access_token>The outgoing email settings.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
EmailSettingsRead
Platform -> Email. Never carries a secret: has_password says
whether one is stored, password_readable whether the current key
still decrypts it.
object
active
required
Active
boolean
allow_insecure
required
Allow Insecure
boolean
configured
required
Configured
boolean
enabled
Enabled
boolean
failed
Failed
integer
has_password
Has Password
boolean
password_readable
Password Readable
boolean
pending
Pending
integer
pinned_by_env
required
Pinned By Env
boolean
Example
{ "enabled": false, "failed": 0, "has_password": false, "password_readable": true, "pending": 0, "smtp_security": "starttls"}